> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uqpay.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List all payouts

> This endpoint returns a list of payouts.

### Header

<ParamField header="x-client-id" type="string" required>
  `x-client-id`.
</ParamField>

<ParamField header="x-auth-token" type="string" required>
  Bearer `YOUR_TOKEN_HERE`.
</ParamField>

### Parameters

<ParamField query="page_num" type="number" required>
  Page number, starts from 1.
</ParamField>

<ParamField query="page_size" type="number" required>
  Number of results per page. <br />
  `Maximum 50`
</ParamField>

<ParamField query="scope" type="string">
  Filter on scope.<br />
  One of `house_account`, `clients_account`
</ParamField>

<ParamField query="reference_id" type="string">
  Exact search by short ID of the payout.<br />
  `Maximum Length 36`
</ParamField>

<ParamField query="currency" type="string">
  Currency of the payout.<br />
  Three-letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code.
</ParamField>

<ParamField query="status" type="string">
  Filter on status of the payout.<br />
  One of `awaiting_funds`, `trade_settled`, `closed`, `funds_arrived`
</ParamField>

<ParamField query="date_type" type="string">
  Filter on date type.<br />
  One of `settle_time`, `create_time`
</ParamField>

<ParamField query="start_time" type="number">
  The starting value for specifying a date range for results to be returned.
</ParamField>

<ParamField query="end_time" type="number">
  The ending value for specifying a date range for results to be returned.
</ParamField>

### Response

<ResponseField name="code" type="number">
  Indicates whether the call was successful. 200 if successful, 400 if not.
</ResponseField>

<ResponseField name="message" type="string">
  Response Message. "Success" if successful, others not.
</ResponseField>

<ResponseField name="data" type="object">
  <Expandable title="details" defaultOpen>
    <ResponseField name="total_item" type="number">
      Total items.
    </ResponseField>

    <ResponseField name="total_page" type="number">
      Total pages.
    </ResponseField>

    <ResponseField name="item_list" type="array">
      <Expandable title="details" defaultOpen>
        <ResponseField name="payout_id" type="string">
          Payout id.
        </ResponseField>

        <ResponseField name="amount" type="string">
          Payout amount.
        </ResponseField>

        <ResponseField name="currency" type="string">
          Payout currency.
        </ResponseField>

        <ResponseField name="fee_paid_by" type="string">
          Fee paid by.
        </ResponseField>

        <ResponseField name="payout_date" type="string">
          Payout date
        </ResponseField>

        <ResponseField name="payout_reason" type="string">
          Payout reason.
        </ResponseField>

        <ResponseField name="payout_reference" type="string">
          Payout reference.
        </ResponseField>

        <ResponseField name="fee_amount" type="string">
          Fee amount.
        </ResponseField>

        <ResponseField name="payout_status" type="string">
          Payout status.
        </ResponseField>

        <ResponseField name="short_reference_id" type="string">
          Short reference id.
        </ResponseField>

        <ResponseField name="unique_request_id" type="string">
          User-generated idempotency key.
        </ResponseField>

        <ResponseField name="complete_time" type="string">
          Complete time.
        </ResponseField>

        <ResponseField name="update_time" type="string">
          Update time.
        </ResponseField>

        <ResponseField name="create_time" type="string">
          Create time.
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL Example Request theme={null}
  curl 'https://api.sandbox.uqpay.org/api/v1/payouts?page_num=1&page_size=10&date_type=create_time' \
  -H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
  -H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
  "code": 200,
  "message": "Success",
  "data": {
      "total_item": 9,
      "total_page": 1,
      "item_list": [
          {
              "payout_id": "f62e97a4-695d-4efb-bf76-40cb53471be6",
              "reference_id": "P231023-UHLWIV9N",
              "payment_date": "2023-10-23",
              "payout_status": "processing",
              "payout_reason": "test payout",
              "payout_reference": "test payout",
              "beneficiary_id": "56f3d71d-f732-44c8-8833-55536941e2b0",
              "beneficiary_name": "AYALILI",
              "unique_request_id": "fdf26c91-27a1-42bb-9654-a69c744b3b34",
              "amount": "100",
              "fee_amount": "15",
              "currency": "USD",
              "fee_paid_by": "shared",
              "create_time": "2023-10-23T22:05:22+08:00",
              "update_time": "2023-10-23T22:05:24+08:00",
              "complete_time": "0001-01-01T00:00:00Z"
          },
          {
              "payout_id": "80f11927-ad7f-4182-817b-629a470330c3",
              "reference_id": "P231023-TBPQBNDP",
              "payment_date": "2023-10-23",
              "payout_status": "processing",
              "payout_reason": "test payout",
              "payout_reference": "test payout",
              "beneficiary_id": "56f3d71d-f732-44c8-8833-55536941e2b0",
              "beneficiary_name": "AYALILI",
              "unique_request_id": "fdf26c91-27a1-42bb-9654-a69c744b3b34",
              "amount": "100",
              "fee_amount": "15",
              "currency": "USD",
              "fee_paid_by": "shared",
              "create_time": "2023-10-23T17:49:08+08:00",
              "update_time": "2023-10-23T17:49:14+08:00",
              "complete_time": "0001-01-01T00:00:00Z"
          }
      ]
  }
  }
  ```
</ResponseExample>
